| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.BorderResize

Portability | not portable
Stability | unstable
Maintainer | jan.vornberger@informatik.uni-oldenburg.de

Contents

Usage

Description
This layout modifier will allow to resize windows by dragging their borders with the mouse. However, it only works in layouts or modified layouts that react to the `SetGeometry` message. XMonad.Layout.WindowArranger can be used to create such a setup. BorderResize is probably most useful in floating layouts.
Synopsis

borderResize :: l a -> ModifiedLayout BorderResize l a
data BorderResize a = BR [BorderWithWin]

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.BorderResize
     myLayout = borderResize (... layout setup that reacts to SetGeometry ...)
     main = xmonad defaultConfig { layoutHook = myLayout }

borderResize :: l a -> ModifiedLayout BorderResize l a | Source

data BorderResize a | Source

Constructors

BR [BorderWithWin] |

Instances

LayoutModifier BorderResize Window
Read (BorderResize a)
Show (BorderResize a)

Produced by Haddock version 2.4.2